Description

I finally got foreman  talking to Xen via libvirt.  Figured out the storage pool definitions and can now create a host.  However, it fails to

properly instantiate the guest due to the following error:

"Failed to create a compute test (Libvirt) instance test2.xxxx.com: Call to virNetworkCreateXML failed: XML description for unknown

volume format type raw is not well formed or invalid "

I've tried both raw and qcow2 (my only two options).  I'm trying this as xen not KVM.  My ultimate goal is Citrix, but i'm still working on

getting libxenserver/libvirt compiled and cooperating.  Until then I"m trying to get a "supported" config working.

Any thoughts would be appreciated.  Does anyone have a transcript or howto they used to get provisioning to Xen working

(preferable not KVM)

Related issues:

Blocked by Foreman - Feature #4481: Add XEN support for Foreman Resolved 02/27/2014

History

#1 - 02/27/2014 03:31 PM - Benjamin Papillon

- Blocked by Feature #4481: Add XEN support for Foreman added

#2 - 02/27/2014 03:33 PM - Benjamin Papillon

- Description updated

Hello,

Currently Xen is not supported on Foreman even thought Foreman use libvirt. A PR is being working on to add this functionality.

Regards

#3 - 08/10/2016 06:59 PM - Anonymous

- Category set to Compute resources - libvirt

- Assignee deleted (Eric Aiken)

xen support is provided by the foreman-xen plugin.

#4 - 08/10/2016 07:02 PM - Anonymous

- Status changed from New to Resolved
